<?php

namespace Database\Seeders;

use App\Models\User\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder {
    /**
     * Run the database seeds.
     */
    public function run(): void {
        $user = User::factory()->create([
            'name_first' => 'Imogen',
            'name_last' => 'Kennedy',
            'email_address' => 'ik@deeplinx.ai',
            'password' => 'deeplinx',
            'username' => 'KiwiFroots',
        ]);
        $user->assignRole('DeepLinx');

        $user = User::factory()->create([
            'name_first' => 'Stuart',
            'name_last' => 'Grehan',
            'email_address' => 'sg@deeplinx.ai',
            'password' => 'Password12345!',
            'username' => 'StuartG',
        ]);

        $user->assignRole('DeepLinx');

        $user = User::factory()->create([
            'name_first' => 'Mike',
            'name_last' => 'Parle',
            'email_address' => 'ik+mp@deeplinx.ai',
            'password' => 'Password12345!',
            'username' => 'MikeP',
        ]);
        $user->assignRole('DeepLinx');


        $user = User::factory()->create([
            'name_first' => 'Dan',
            'name_last' => 'Moat',
            'email_address' => 'ik+dm@deeplinx.ai',
            'password' => 'Password12345!',
            'username' => 'DanMoat',
        ]);

        $user->assignRole('DeepLinx');
    }
}
